Delete a plugin by identifier
DELETE/v1/plugins/:identifier
This route allows you to delete a specific plugin by its identifier. This action is irreversible.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^(?!\\.{1,2}$)[A-Za-z0-9@_.+:\\\\/=-]+$"
},
"in": "path",
"name": "identifier",
"required": true,
"description": "The identifier of the plugin to delete."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 401
- 403
- 404
- 500
- 502
Default Response
Default Response
Default Response
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"data": {
"type": "object",
"properties": {
"deleted": {
"type": "boolean",
"const": true
}
},
"required": [
"deleted"
],
"additionalProperties": false
}
},
"required": [
"ok",
"data"
],
"additionalProperties": false,
"title": "deletePluginResponse"
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"403": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"404": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"502": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
}
}
}